using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TextInBox
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            #if DEBUG
                MinimizeBox = false;
            #else
                MinimizeBox = true;
            #endif
        }

        private void button1_Click(object sender, EventArgs e)
        {
            // Выводимый текст
            string msg = ".NET Compact Framework";
            // Задаем цвет и ширину пера для прямоугольника
            Pen pen = new Pen(Color.Violet, 5);
            // Устанавливаем шрифт
            Font font = new Font("Arial", 10, FontStyle.Regular);
            // Задаем цвет для текста
            SolidBrush brush = new SolidBrush(Color.Blue);

            using (Graphics g = CreateGraphics())
            {
                // Вычисляем размеры текста
                SizeF textSize = g.MeasureString(msg, font);
                // Получаем ширину текста и прибавляем 5 пикселей
                int newW = (int)textSize.Width + 5;
                // Получаем высоту текста и прибавляем 10 пикселей
                int newH = (int)textSize.Height + 10;
                // Рисуем обрамляющий прямоугольник
                Rectangle r = new Rectangle(45, 70, newW, newH);
                g.DrawRectangle(pen, r);
                // Выводим строку
                g.DrawString(msg, font, brush, 50F, 75F);
            }
        }
    }
}